
# 介绍

工具库中的所有方法，均挂载在$u对象下

### 去除空格

该方法可以去除空格，分别可以去除所有空格，两端空格，左边空格，右边空格，默认为去除两端空格

```js
str <String> 字符串
pos <String> 去除那些位置的空格，可选为：both-默认值，去除两端空格，left-去除左边空格，right-去除右边空格，all-去除包括中间和两端的所有空格
```

```js
this.$u.trim();
```

### 取一个区间数

取一个区间数

```js
/**
 * @description 取一个区间数
 * @param {Number} min 最小值
 * @param {Number} max 最大值
 */
this.$u.random(min, max);
```

### range

如果value小于min，取min；如果value大于max，取max

```js
/**
 * @description 如果value小于min，取min；如果value大于max，取max
 * @param {number} min
 * @param {number} max
 * @param {number} value
 */
this.$u.range();
```




### 路由

> 路由转驼峰

```js
// 使用
this.$u.path2camelcase('/u/note/123');
// uNote123
```




### 时间处理

> 格式化时间

```js
// 使用
this.$u.formatDate(1652233263000);
// 2022-05-11 09:41:03
```

> 获取月份天数

```js
getMonthDays(myMonth = new Date().getMonth()):number
```

```js
// 使用
this.$u.getMonthDays();
// 31
```


> 获取月开始日期

```js
getMonthStartDay(dateObj, pattern)
- dateObj 时间
- pattern 格式化
```

```js
this.$u.getMonthStartDay();
// 2022-05-01
```


> 获得月结束日期

```js
getMonthEndDate(dateObj, pattern)
- dateObj 时间
- pattern 格式化
```

```js
this.$u.getMonthEndDate();
// 2022-05-31
```
